Results 1 to 2 of 2

Thread: Make Polylines into Circles

  1. #1
    Login to Give a bone
    0

    Post Make Polylines into Circles

    Desperately hoping for a WOW THAT'S SO EASY resolution for this weirdness.

    I have inherited corrupted schematic drawings. Part of the corruption is that all the circles in my terminal and relay blocking have been broken. What's left is hundreds of polyline segments. I need to get them back to being circles.


    Hoping for a SO EASY solution, but any help will be much appreciated.
    Attached Images Attached Images

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,105
    Login to Give a bone
    0

    Default Re: Make Polylines into Circles

    If you can convert all of the polylines which are shown as half circles into simple arcs, then the join command could be used. However, the option to close an arc only works for individually selected arcs. Therefore you cannot select all of them and expect to close them.

    Fortunately, you can create a selection set in AutoLISP and cycle through the selection set one at a time and use the join command that way.
    Code:
    (prompt "Select arcs to close...")
    (setq ssArcs (ssget '((0 . "ARC"))))
    (repeat (setq cnt (sslength ssArcs))
      (command "_.join" (ssname ssArcs (setq cnt (1- cnt))) "l")
    )
    Copy and past this code to your drawing window after you have converted the polylines to arcs.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

Similar Threads

  1. Replies: 12
    Last Post: 2009-02-23, 03:38 PM
  2. Civil 3D 2008..Can you make surfaces from polylines?
    By rstickler in forum AutoCAD Civil 3D - General
    Replies: 3
    Last Post: 2007-07-24, 01:07 PM
  3. Overkill to Convert Semi-Circular Polylines into Arcs or Circles
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 0
    Last Post: 2007-04-03, 05:02 PM
  4. Replies: 11
    Last Post: 2006-08-03, 11:52 AM
  5. Polylines, Circles become faceted
    By paul.downie in forum AutoCAD General
    Replies: 2
    Last Post: 2005-11-21, 02:14 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •